# Copyright (C) 2011 Adam Stein <adam@csh.rit.edu>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#------------------------------------------------------------------------
#
# Filtered Descendant Report
#
#------------------------------------------------------------------------

register(REPORT,
         id = 'fil_descendant_report',
         name = _("Filtered Descendant Report"),
         description =  _("Produces a descendant report using a filter"),
         version = '0.3.0',
         gramps_target_version = '3.3',
         status = STABLE,
         fname = 'DescendantReport.py',
         authors = ["Adam Stein"],
         authors_email = ["adam@csh.rit.edu"],
         category = CATEGORY_TEXT,
         reportclass = 'DescendantReport',
         optionclass = 'DescendantOptions',
         report_modes = [REPORT_MODE_GUI, REPORT_MODE_BKI, REPORT_MODE_CLI]
        )

plg = newplugin()
plg.id    = 'odfdoc_enhanced'
plg.name  = _('OpenDocument Text Enhanced')
plg.description =  _("Generates documents in OpenDocument "
                     "Text format (.odt).")
plg.version = '1.0'
plg.gramps_target_version = '3.3'
plg.status = STABLE
plg.fname = 'ODFDoc_Enhanced.py'
plg.ptype = DOCGEN
plg.basedocclass = 'ODFDoc_Enhanced'
plg.paper = True
plg.style = True
plg.extension = "odt"
plg.authors = ["Adam Stein"]
plg.authors_email = ["adam@csh.rit.edu"]

